Attribute VB_Name = "Module1"
Sub AlPedirVariable(Variable As TipoCadena, D As BLOQUEDEDATOS)
    
    Vari = ConvertirDesdeCadena(Variable)
    
    If UCase(Vari) = "EURO" Then
        D.Numero = 1 / 166.386
        D.Tipo = ANA_TIPO_NUMERO
    ElseIf UCase(Vari) = "PESETAS" Then
        D.Numero = 166.386
        D.Tipo = ANA_TIPO_NUMERO
    ElseIf UCase(Vari) = "HORA" Then
        ConvertirACadena Time, D.Texto
        D.Tipo = ANA_TIPO_TEXTO
    ElseIf UCase(Vari) = "FECHA" Then
        ConvertirACadena Date, D.Texto
        D.Tipo = ANA_TIPO_TEXTO
    Else
        D.Error = ANA_ERROR_NOVARIABLE
    End If

End Sub

Sub AlPedirFuncion(Variable As TipoCadena, Parametro As TipoParametros, ByVal N As Long, R As BLOQUEDEDATOS)
    
    Vari = ConvertirDesdeCadena(Variable)
    
    If UCase(Vari) = "RAIZ" And N = 1 Then
        R.Numero = Sqr(Parametro.P(1).Numero)
        R.Tipo = ANA_TIPO_NUMERO
    ElseIf UCase(Vari) = "SENO" And N = 1 Then
        R.Numero = Sin(Parametro.P(1).Numero)
        R.Tipo = ANA_TIPO_NUMERO
    ElseIf UCase(Vari) = "SI" And N = 3 Then
        If Parametro.P(1).Tipo <> ANA_TIPO_NUMERO Then
            R.Error = ANA_ERROR_TIPOOPERANDOS
            Exit Sub
        End If
        If Parametro.P(1).Numero = 0 Then
            R = Parametro.P(3)
        Else
            R = Parametro.P(2)
        End If
    Else
        R.Error = ANA_ERROR_NOFUNCION
    End If

End Sub



